Skip to main content
Version: v3 (preview)

Get Invoice by Nabis ID​

Returns a single invoice your organization pays or is paid for.

Path Parameters
  • id uuid required

    Nabis ID of the invoice

Responses

Successful Operation


Schema
  • id uuid

    Nabis ID of the invoice

  • number integer

    Invoice number

  • name string

    Name of the invoice

  • orderId uuid

    Nabis ID of the order the invoice is for. null for invoices that aren't tied to an order. See Get Order by Nabis ID

  • groupType string

    Possible values: [ORDER, FEE, BASE]

    Kind of invoice. ORDER is the retailer's invoice for an order; FEE and BASE are fees

  • paidByOrganizationId uuid

    Nabis ID of the organization that pays the invoice

  • paidByOrganizationName string

    Name of the organization that pays the invoice

  • paidToOrganizationId uuid

    Nabis ID of the organization the invoice is paid to

  • paidToOrganizationName string

    Name of the organization the invoice is paid to

  • collectionStatus string

    Possible values: [UNFINISHED, FINISHED]

    Whether Nabis is still collecting on the invoice (UNFINISHED) or is done (FINISHED)

  • dueDate date

    Date the invoice is due, in yyyy-mm-dd format

  • netTerms integer

    Number of days after delivery the invoice is due. 0 when due on delivery

  • publicNotes string

    Notes on the invoice

  • subtotal number

    Amount invoiced before tax, discounts and credits

  • discount number

    Discounts applied to the invoice

  • creditMemo number

    Total of the credit memos applied to the invoice

  • deduction number

    Deductions applied to the invoice

  • writeOff number

    Amount written off as uncollectable

  • collected number

    Amount collected on the invoice so far

  • balanceDue number

    Amount still owed on the invoice

  • tax number

    Tax on the order. Only set on ORDER invoices.

  • surchargeAmount number

    Surcharge on the order. Only set on ORDER invoices.

  • paymentStatus string

    Possible values: [UNPAID, COD_PAID, NET_TERMS_PAID, REMITTED, SELF_COLLECTED, PROCESSING, PAYMENT_SENT, WRITE_OFF, THIRD_PARTY_COLLECTIONS, PARTIAL_PAID, DRIVER_PROCESSING]

    Payment status of the order. Only set on ORDER invoices.

  • paidAt date-time

    When the order was paid in full. Only set on ORDER invoices.

  • remittedAt date-time

    When payment for the order was remitted to the brand. Only set on ORDER invoices.

  • creditMemos object[]

    Credit memos applied to the order. Only set on ORDER invoices. Empty on other invoices

  • id uuid

    Nabis ID of the credit memo

  • amount number

    Amount of the credit memo

  • creditMemoType string

    Possible values: [ACCOUNT_CREDIT, FAULTY_HARDWARE_CREDIT, MANUFACTURING_ERROR_CREDIT, MARKETING_CREDIT, PROMOTIONAL_CREDIT, RETURN_CREDIT, ROLLOVER_OVERPAYMENT_CREDIT, SALES_CREDIT, SETTLEMENT_CREDIT]

    Reason for the credit memo

  • notes string

    Notes on the credit memo

  • createdAt date-time

    When the credit memo was created

  • createdAt date-time

    When the invoice was created

  • updatedAt date-time

    When the invoice was last updated